Polls
Polls on which users can vote
Retrieves a collection of polls.
Creates a new poll. Only available to API keys without user authentication. When an image tag is included in the text field, these files are downloaded. They need to be publicly accessible. We support PNG and JPEG image file types.
Updates an existing poll. Only available to API keys without user authentication.
Deletes a single poll. Only available to API keys without user authentication.
GET https://api.bundeling.com/V2/polls/:uuid Parameters Url Name Description Type uuidA unique identifier used to identify a poll string
Includes Name Description Endpoint authorRetrieves information about the author of the poll Users readRetrieves if logged in user has the poll marked as read ReadStatus referencesRetrieves information about references linked to item ObjectHasReference references.objectRetrieves the object the reference is linked to ObjectHasReference
Actions Name Description Resettable pushbroadcast_1_1Push notification on start date truepushnotification_1_1Reminder notification to all users who have not voted yet true
Example request Raw cURL JavaScript PHP Python Go Choose language
Headers Example response {
"uuid": "eeb763c41c054dcc8f6d9362f24ee9b2",
"author_uuid": "d7743aaf53224e279853c7d0c1dbfb3a",
"headerimage": "eyJjbGllbnQiOjEwLCJwYXRoIjoiYnVsbGV0aW5fYm9hcmRfcGljdHVyZXNcLz...",
"title": "Your vote counts",
"text": "Make your choice and vote for one of these options...",
"options": [
{
"uuid": "ac3b84bb591141778d81b553d2d05e9c",
"text": "Choice 1"
},
{
"uuid": "55895aceb9084dbf933301f0add9e2d6",
"text": "Choice 2"
}
],
"actions": {
"pushbroadcast_1_1": {
"enabled": true,
"executed": false
},
"pushnotification_1_1": {
"enabled": true,
"executed": false
}
},
"labels": [
"d7743aaf53224e279853c7d0c1dbfb3a",
"d7743aaf53224e279853c7d0c1dbfb3a"
],
"combined_labels": {
"uuid": "d7743aaf53224e279853c7d0c1dbfb3a",
"labels": [
"d7743aaf53224e279853c7d0c1dbfb3a",
"d7743aaf53224e279853c7d0c1dbfb3a"
]
},
"startdate": "2026-07-27T12:00:00+0200",
"enddate": "2026-08-10T12:00:00+0200",
"external_reference": "123908",
"creationdate": "2026-04-03T00:00:00+0200",
"lastupdate": "2026-04-03T00:00:00+0200"
}